Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.provider20
Interface AssociatorProvider

public interface AssociatorProvider
extends CIMProvider

This interface is implemented by providers of dynamic association classes. The CIMOM invokes these methods when it performs association traversal.

Since:
  WBEM 1.0

Method Summary
`java.util.Vector` | `associatorNames(CIMObjectPath assocName, CIMObjectPath objectName, java.lang.String resultClass, java.lang.String role, java.lang.String resultRole)` For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecAssociatorNames This operation is used to enumerate the names of CIM Instances that are associated to a particular source CIM Instance.
`java.util.Vector` | `associators(CIMObjectPath assocName, CIMObjectPath objectName, java.lang.String resultClass, java.lang.String role, java.lang.String resultRole, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` This method is invoked in order to do the Associators operation as defined by the CIM operations over HTTP spec at http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecAssociators This operation is used to enumerate CIM Instances that are associated to a particular source CIM Object.
`java.util.Vector` | `referenceNames(CIMObjectPath assocName, CIMObjectPath objectName, java.lang.String role)` For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecReferenceNames This operation is used to enumerate the association objects that refer to a particular target CIM Instance.
`java.util.Vector` | `references(CIMObjectPath assocName, CIMObjectPath objectName, java.lang.String role, boolean includeQualifiers, boolean includeClassOrigin, java.lang.String[] propertyList)` For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecReferencesMethod This operation is used to enumerate the association objects that refer to a particular target CIM Instance.

Methods inherited from interface com.sun.wbem.provider.CIMProvider
`cleanup, initialize`

Method Detail

### associators

    public java.util.Vector associators(CIMObjectPath assocName,
                                        CIMObjectPath objectName,
                                        java.lang.String resultClass,
                                        java.lang.String role,
                                        java.lang.String resultRole,
                                        boolean includeQualifiers,
                                        boolean includeClassOrigin,
                                        java.lang.String[] propertyList)
                                 throws CIMException

  This method is invoked in order to do the Associators operation as defined by the CIM operations over HTTP spec at http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecAssociators This operation is used to enumerate CIM Instances that are associated to a particular source CIM Object.
  Parameters:
    `assocName` - Defines the association that the objectName object should be associated to. The provider uses this information to identify which association must be traversed in case it supports more than one association.
    `objectName` - Defines the source CIM Object whose associated Objects are to be returned. This is an instance name. Instance name (modelpath).
    `resultClass` - The ResultClass input parameter, if not NULL, MUST be a valid CIM Class name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be either an Instance of this Class (or one of its subclasses) or be this Class (or one of its subclasses).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the source Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the source Object MUST match the value of this parameter).
    `resultRole` - The ResultRole input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Object MUST be associated to the source Object via an Association in which the returned Object plays the specified role (i.e. the name of the Property in the Association Class that refers to the returned Object MUST match the value of this parameter).
    `includeQualifiers` - If the IncludeQualifiers input parameter is true this specifies that all Qualifiers for each Object (including Qualifiers on the Object and on any returned Properties) MUST be included as elements in the response. If false no elements are present in each returned Object.
    `includeClassOrigin` - If the IncludeClassOrigin input parameter is true, this specifies that the CLASSORIGIN attribute MUST be present on all appropriate elements in each returned Object. If false, no CLASSORIGIN attributes are present in each returned Object.
    `propertyList` - If the PropertyList input parameter is not NULL, the members of the array define one or more Property names. Each returned Object MUST NOT include elements for any Properties missing from this list. Note that if LocalOnly is specified as true (or DeepInheritance is specified as false) this acts as an additional filter on the set of Properties returned (for example, if Property A is included in the PropertyList but LocalOnly is set to true and A is not local to a returned Instance, then it will not be included in that Instance). If the PropertyList input parameter is an empty array this signifies that no Properties are included in each returned Object. If the PropertyList input parameter is NULL this specifies that all Properties (subject to the conditions expressed by the other parameters) are included in each returned Object. If the PropertyList contains duplicate elements, the Server ignores the duplicates but otherwise process the request normally. If the PropertyList contains elements which are invalid Property names for any target Object, the Server ignores such entries but otherwise process the request normally. Clients SHOULD NOT explicitly specify properties in the PropertyList parameter unless they have specified a non-NULL value for the ResultClass parameter.
  Returns:
    If successful, the method returns zero or more CIM Instances meeting the requested criteria.
  Throws:
    CIMException. - The following IDs can be expected. CIM_ERR_ACCESS_DENIED CIM_ERR_NOT_SUPPORTED CIM_ERR_INVALID_NAMESPACE CIM_ERR_INVALID_PARAMETER (including missing, duplicate, unrecognized or otherwise incorrect parameters) CIM_ERR_FAILED (some other unspecified error occurred)

### associatorNames

    public java.util.Vector associatorNames(CIMObjectPath assocName,
                                            CIMObjectPath objectName,
                                            java.lang.String resultClass,
                                            java.lang.String role,
                                            java.lang.String resultRole)
                                     throws CIMException

  For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecAssociatorNames This operation is used to enumerate the names of CIM Instances that are associated to a particular source CIM Instance.
  Parameters:
    `assocName` - refer to associator parameter assocName
    `objectName` - refer to associator parameter objectName
    `resultClass` - refer to associator parameter resultClass
    `role` - refer to associator parameter role
    `resultRole` - refer to associator parameter resultRole
  Returns:
    If successful, the method returns zero or more full CIM Instance of Objects meeting the requested criteria.
  Throws:
    CIMException - as defined in the associator method

### references

    public java.util.Vector references(CIMObjectPath assocName,
                                       CIMObjectPath objectName,
                                       java.lang.String role,
                                       boolean includeQualifiers,
                                       boolean includeClassOrigin,
                                       java.lang.String[] propertyList)
                                throws CIMException

  For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecReferencesMethod This operation is used to enumerate the association objects that refer to a particular target CIM Instance.
  Parameters:
    `assocName` - Defines the association that the objectName object should be associated to. The provider uses this information to identify which association must be traversed in case it supports more than one association.
    `objectName` - The ObjectName input parameter defines the target CIM Object whose referring Objects are to be returned. This is an Instance name (model path).
    `role` - The Role input parameter, if not NULL, MUST be a valid Property name. It acts as a filter on the returned set of Objects by mandating that each returned Objects MUST refer to the target Object via a Property whose name matches the value of this parameter.
    `includeQualifiers` - refer to includeQualifiers for associators.
    `includeClassOrigin` - refer to includeClassOrigin for associators.
    `propertyList` - refer to propertyList for associators.
  Returns:
    If successful, the method returns zero or more CIM Instances meeting the requested criteria.
  Throws:
    CIMException - as defined for associators method.

### referenceNames

    public java.util.Vector referenceNames(CIMObjectPath assocName,
                                           CIMObjectPath objectName,
                                           java.lang.String role)
                                    throws CIMException

  For definition of this operation, refer to http://www.dmtf.org/download/spec/xmls/CIM_HTTP_Mapping10.htm#SecReferenceNames This operation is used to enumerate the association objects that refer to a particular target CIM Instance.
  Parameters:
    `assocName` - refer to reference method.
    `objectName` - refer to reference method.
    `role` - refer to reference method.
  Returns:
    If successful, the method returns the names of zero or more full CIM Instance paths of Objects meeting the requested criteria.
  Throws:
    CIMException - as defined for associators method.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD